# ChangeLog for net-libs/courier-authlib
# Copyright 1999-2004 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-libs/courier-authlib/ChangeLog,v 1.12 2004/12/10 06:54:18 swtaylor Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-libs/courier-authlib/ChangeLog,v 1.13 2004/12/10 19:50:05 swtaylor Exp $
+
+ 10 Dec 2004; Scott W Taylor <swtaylor@gentoo.org>
+ -courier-authlib-0.50.20041120.ebuild,
+ -courier-authlib-0.50.20041129.ebuild:
+ housecleaning
09 Dec 2004; Scott W Taylor <swtaylor@gentoo.org>
courier-authlib-0.51_pre.ebuild:
-MD5 ccd4a6e7ddde8c928da8bf7b849619a9 courier-authlib-0.50.20041129.ebuild 5020
MD5 676bf5f81a850c9b46b9f70f79c1b67c courier-authlib-0.50.20041203.ebuild 5020
MD5 d1996d64c5cd977e8b057e6df35f5b2c courier-authlib-0.51_pre.ebuild 5067
-MD5 02042db41c81f90f43c093490bf842cf courier-authlib-0.50.20041120.ebuild 4837
-MD5 2ad1ae19424ac3c0061ec68e7f48999e ChangeLog 1959
+MD5 82b5036aafc449cfeb3f9d377279b255 ChangeLog 2110
MD5 1639b87658242c2406f7f7f8deda7388 metadata.xml 334
MD5 a45989f17baa203ffb431ef1c3d2d254 files/digest-courier-authlib-0.51_pre 74
MD5 4c7dedb4c21da2d9e4dbc586459de426 files/courier-authlib-initd 1038
-MD5 bf19f3ead9756c1dadc9c520fc03bd16 files/digest-courier-authlib-0.50.20041120 83
-MD5 7ee8fd3e657ce73d83c25bf6851e9eea files/digest-courier-authlib-0.50.20041129 83
MD5 55e872f718ada612e49cc176cb627db8 files/digest-courier-authlib-0.50.20041203 83
MD5 29207299a025b05adedda64ede97bb1c files/configure-db4.patch 2556
+++ /dev/null
-# Copyright 1999-2004 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-libs/courier-authlib/courier-authlib-0.50.20041120.ebuild,v 1.3 2004/11/27 08:40:33 swtaylor Exp $
-
-inherit eutils gnuconfig
-
-DESCRIPTION="courier authentication library"
-[ -z "${PV/?.??/}" ] && SRC_URI="mirror://sourceforge/courier-authlib/${P}.tar.bz2" || SRC_URI="http://www.courier-mta.org/beta/courier-authlib/${P}.tar.bz2"
-HOMEPAGE="http://www.courier-mta.org/"
-
-SLOT="0"
-LICENSE="GPL-2"
-KEYWORDS="~x86 ~alpha ~ppc ~sparc ~amd64"
-IUSE="postgres ldap mysql berkdb gdbm pam crypt uclibc debug"
-
-DEPEND="virtual/libc
- gdbm? ( sys-libs/gdbm )
- !gdbm? ( >=sys-devel/autoconf-2.5 sys-libs/db )
- >=dev-libs/openssl-0.9.6
- pam? ( >=sys-libs/pam-0.75 )
- mysql? ( >=dev-db/mysql-3.23.36 )
- ldap? ( >=net-nds/openldap-1.2.11 )
- postgres? ( >=dev-db/postgresql-7.2 )"
-
-RDEPEND="virtual/libc
- gdbm? ( sys-libs/gdbm )
- !gdbm? ( sys-libs/db )"
-
-src_unpack() {
- if ! has_version 'dev-tcltk/expect' ; then
- ewarn 'The dev-tcltk/expect package is not installed.'
- einfo 'Without it, you will not be able to change system login passwords.'
- einfo 'However non-system authentication modules (LDAP, MySQL, PostgreSQL,'
- einfo 'and others) will work just fine.'
- fi
- unpack ${A}
- cd ${S}
- sed -e"s|^chk_file .* |&\${DESTDIR}|g" -i.orig authmigrate.in
- use uclibc && sed -i -e 's:linux-gnu\*:linux-gnu\*\ \|\ linux-uclibc:' config.sub
- if ! use gdbm ; then
- epatch ${FILESDIR}/configure-db4.patch
- export WANT_AUTOCONF="2.5"
- gnuconfig_update
- ebegin "Recreating configure"
- autoconf || die "recreate configure failed"
- eend $?
- cd ${S}/bdbobj
- ebegin "Recreating bdbobj/configure"
- autoconf || die "recreate bdbobj/configure failed"
- eend $?
- fi
-}
-
-src_compile() {
- local myconf
- myconf="`use_with pam authpam` `use_with ldap authldap`"
-
- if use berkdb ; then
- use gdbm && \
- einfo "Both gdbm and berkdb selected. Using gdbm." || \
- myconf="${myconf} --with-db=db"
- fi
- use gdbm && myconf="${myconf} --with-db=gdbm"
-
- if [ -f /var/vpopmail/etc/lib_deps ]; then
- myconf="${myconf} --with-authvchkpw --without-authmysql --without-authpgsql"
- use mysql && ewarn "vpopmail found. authmysql will not be built."
- use postgres && ewarn "vpopmail found. authpgsql will not be built."
- else
- myconf="${myconf} --without-authvchkpw `use_with mysql authmysql` `use_with postgres authpgsql`"
- fi
-
- use debug && myconf="${myconf} debug=true"
-
-ewarn "${myconf}"
-
- ./configure \
- --prefix=/usr \
- --mandir=/usr/share/man \
- --sysconfdir=/etc/courier \
- --datadir=/usr/share/courier \
- --libexecdir=/usr/lib/courier \
- --localstatedir=/var/lib/courier \
- --sharedstatedir=/var/lib/courier/com \
- --with-authdaemonvar=/var/lib/courier/authdaemon \
- --without-redhat \
- --with-mailuser=mail \
- --with-mailgroup=mail \
- --cache-file=${S}/configuring.cache \
- --build=${CHOST} \
- --host=${CHOST} ${myconf} || die "bad ./configure"
- emake || die "Compile problem"
-}
-
-orderfirst() {
- file="${D}/etc/courier/authlib/${1}" ; option="${2}" ; param="${3}"
- if [ -e "${file}" ] ; then
- orig="`grep \"^${option}=\" ${file} | cut -d'\"' -f 2`"
- new="${option}=\"${param} `echo ${orig} | sed -e\"s/${param}//g\" -e\"s/ / /g\"`\""
- sed -i -e"s/^${option}=.*$/${new}/" ${file}
- fi
-}
-
-src_install() {
- dodir /var/lib/courier
- dodir /etc/courier/authlib
- dodir /etc/init.d
- keepdir /var/lib/courier
- keepdir /etc/courier/authlib
- emake install DESTDIR="${D}" || die "install"
- emake install-migrate DESTDIR="${D}" || die "migrate"
- emake install-configure DESTDIR="${D}" || die "configure"
- rm ${D}/etc/courier/authlib/*.bak
- chown mail:mail ${D}/etc/courier/authlib/*
- for y in ${D}/etc/courier/authlib/*.dist ; do
- [ ! -e "${y%%.dist}" ] && cp ${y} ${y%%.dist}
- done
- use pam && orderfirst authdaemonrc authmodulelist authpam
- use ldap && orderfirst authdaemonrc authmodulelist authldap
- use postgres && orderfirst authdaemonrc authmodulelist authpgsql
- use mysql && orderfirst authdaemonrc authmodulelist authmysql
- dodoc AUTHORS COPYING ChangeLog* INSTALL NEWS README
- dohtml README.html README_authlib.html NEWS.html INSTALL.html README.authdebug.html
- use ldap && dodoc authldap.schema
- use mysql && ( dodoc README.authmysql.myownquery ; dohtml README.authmysql.html )
- use postgres && dohtml README.authpostgres.html
- exeinto /etc/init.d
- newexe ${FILESDIR}/courier-authlib-initd courier-authlib || die "init.d failed"
-
- # Suggest cleaning out the following old files
- list="`find /etc/courier -type f -maxdepth 1 | grep \"^/etc/courier/auth\"`"
- if [ ! -z "${list}" ] ; then
- ewarn "Courier authentication files are now in /etc/courier/authlib/"
- einfo "The following files are now obsolete and can likely be removed:"
- einfo " rm `echo \"${list}\" | xargs echo`"
- fi
-}
-
+++ /dev/null
-# Copyright 1999-2004 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-libs/courier-authlib/courier-authlib-0.50.20041129.ebuild,v 1.3 2004/12/01 18:24:46 swtaylor Exp $
-
-inherit eutils gnuconfig
-
-DESCRIPTION="courier authentication library"
-[ -z "${PV/?.??/}" ] && SRC_URI="mirror://sourceforge/courier-authlib/${P}.tar.bz2" || SRC_URI="http://www.courier-mta.org/beta/courier-authlib/${P}.tar.bz2"
-HOMEPAGE="http://www.courier-mta.org/"
-
-SLOT="0"
-LICENSE="GPL-2"
-KEYWORDS="~x86 ~alpha ~ppc ~sparc ~amd64 ~mips"
-IUSE="postgres ldap mysql berkdb gdbm pam crypt uclibc debug"
-
-DEPEND="virtual/libc
- gdbm? ( sys-libs/gdbm )
- !gdbm? ( >=sys-devel/autoconf-2.5 sys-libs/db )
- >=dev-libs/openssl-0.9.6
- pam? ( >=sys-libs/pam-0.75 )
- mysql? ( >=dev-db/mysql-3.23.36 )
- ldap? ( >=net-nds/openldap-1.2.11 )
- postgres? ( >=dev-db/postgresql-7.2 )"
-
-RDEPEND="virtual/libc
- gdbm? ( sys-libs/gdbm )
- !gdbm? ( sys-libs/db )"
-
-src_unpack() {
- if ! has_version 'dev-tcltk/expect' ; then
- ewarn 'The dev-tcltk/expect package is not installed.'
- einfo 'Without it, you will not be able to change system login passwords.'
- einfo 'However non-system authentication modules (LDAP, MySQL, PostgreSQL,'
- einfo 'and others) will work just fine.'
- fi
- unpack ${A}
- cd ${S}
- sed -e"s|^chk_file .* |&\${DESTDIR}|g" -i.orig authmigrate.in
- use uclibc && sed -i -e 's:linux-gnu\*:linux-gnu\*\ \|\ linux-uclibc:' config.sub
- if ! use gdbm ; then
- epatch ${FILESDIR}/configure-db4.patch
- export WANT_AUTOCONF="2.5"
- gnuconfig_update
- ebegin "Recreating configure"
- autoconf || die "recreate configure failed"
- eend $?
- cd ${S}/bdbobj
- ebegin "Recreating bdbobj/configure"
- autoconf || die "recreate bdbobj/configure failed"
- eend $?
- fi
- sed -i -e'/for dir in/a\\t\t\/etc\/courier-imap \\' ${S}/authmigrate.in
- sed -i -e'/for dir in/a\\t\t\/etc\/courier\/authlib \\' ${S}/authmigrate.in
-}
-
-src_compile() {
- local myconf
- myconf="`use_with pam authpam` `use_with ldap authldap`"
-
- if use berkdb ; then
- use gdbm && \
- einfo "Both gdbm and berkdb selected. Using gdbm." || \
- myconf="${myconf} --with-db=db"
- fi
- use gdbm && myconf="${myconf} --with-db=gdbm"
-
- if [ -f /var/vpopmail/etc/lib_deps ]; then
- myconf="${myconf} --with-authvchkpw --without-authmysql --without-authpgsql"
- use mysql && ewarn "vpopmail found. authmysql will not be built."
- use postgres && ewarn "vpopmail found. authpgsql will not be built."
- else
- myconf="${myconf} --without-authvchkpw `use_with mysql authmysql` `use_with postgres authpgsql`"
- fi
-
- use debug && myconf="${myconf} debug=true"
-
- ewarn "${myconf}"
-
- ./configure \
- --prefix=/usr \
- --mandir=/usr/share/man \
- --sysconfdir=/etc/courier \
- --datadir=/usr/share/courier \
- --libexecdir=/usr/lib/courier \
- --localstatedir=/var/lib/courier \
- --sharedstatedir=/var/lib/courier/com \
- --with-authdaemonvar=/var/lib/courier/authdaemon \
- --without-redhat \
- --with-mailuser=mail \
- --with-mailgroup=mail \
- --cache-file=${S}/configuring.cache \
- --build=${CHOST} \
- --host=${CHOST} ${myconf} || die "bad ./configure"
- emake || die "Compile problem"
-}
-
-orderfirst() {
- file="${D}/etc/courier/authlib/${1}" ; option="${2}" ; param="${3}"
- if [ -e "${file}" ] ; then
- orig="`grep \"^${option}=\" ${file} | cut -d'\"' -f 2`"
- new="${option}=\"${param} `echo ${orig} | sed -e\"s/${param}//g\" -e\"s/ / /g\"`\""
- sed -i -e"s/^${option}=.*$/${new}/" ${file}
- fi
-}
-
-src_install() {
- dodir /var/lib/courier
- dodir /etc/courier/authlib
- dodir /etc/init.d
- keepdir /var/lib/courier
- keepdir /etc/courier/authlib
- emake install DESTDIR="${D}" || die "install"
- emake install-migrate DESTDIR="${D}" || die "migrate"
- emake install-configure DESTDIR="${D}" || die "configure"
- rm ${D}/etc/courier/authlib/*.bak
- chown mail:mail ${D}/etc/courier/authlib/*
- for y in ${D}/etc/courier/authlib/*.dist ; do
- [ ! -e "${y%%.dist}" ] && cp -v ${y} ${y%%.dist}
- done
- use pam && orderfirst authdaemonrc authmodulelist authpam
- use ldap && orderfirst authdaemonrc authmodulelist authldap
- use postgres && orderfirst authdaemonrc authmodulelist authpgsql
- use mysql && orderfirst authdaemonrc authmodulelist authmysql
- dodoc AUTHORS COPYING ChangeLog* INSTALL NEWS README
- dohtml README.html README_authlib.html NEWS.html INSTALL.html README.authdebug.html
- use ldap && dodoc authldap.schema
- use mysql && ( dodoc README.authmysql.myownquery ; dohtml README.authmysql.html )
- use postgres && dohtml README.authpostgres.html
- exeinto /etc/init.d
- newexe ${FILESDIR}/courier-authlib-initd courier-authlib || die "init.d failed"
-}
-
-pkg_postinst() {
- # Suggest cleaning out the following old files
- list="`find /etc/courier -type f -maxdepth 1 | grep \"^/etc/courier/auth\"`"
- if [ ! -z "${list}" ] ; then
- ewarn "Courier authentication files are now in /etc/courier/authlib/"
- einfo "The following files are no longer needed and can likely be removed:"
- einfo " rm `echo \"${list}\" | xargs echo`"
- fi
-}
-
+++ /dev/null
-MD5 da682e9c7c3cd2826b41c9bf54688aa0 courier-authlib-0.50.20041120.tar.bz2 1969782
+++ /dev/null
-MD5 a7df9d17a984a55b2453b114c38fe537 courier-authlib-0.50.20041129.tar.bz2 1970949